# Gmagick::setimageunits

(PECL gmagick >= Unknown)

Gmagick::setimageunits — Sets the image units of resolution

### Description

public Gmagick::setimageunits ( int `$resolution` ) : Gmagick

Sets the image units of resolution.

### Parameters

`resolution`

  The image units of resolution : Undefinedresolution, PixelsPerInchResolution, or PixelsPerCentimeterResolution.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.